﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.36366
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SafetySelfCertification.QualitySelfCert {
    using System.Web.UI.WebControls.Expressions;
    using System.Web.UI.HtmlControls;
    using System.Collections;
    using System.Text;
    using System.Web.UI;
    using System.Collections.Generic;
    using System.Linq;
    using System.Xml.Linq;
    using Microsoft.SharePoint.WebPartPages;
    using System.Web.SessionState;
    using System.Configuration;
    using Microsoft.SharePoint;
    using System.Web;
    using System.Web.DynamicData;
    using System.Web.Caching;
    using System.Web.Profile;
    using System.ComponentModel.DataAnnotations;
    using System.Web.UI.WebControls;
    using System.Web.Security;
    using System;
    using Microsoft.SharePoint.Utilities;
    using System.Text.RegularExpressions;
    using System.Collections.Specialized;
    using System.Web.UI.WebControls.WebParts;
    using Microsoft.SharePoint.WebControls;
    
    
    public partial class QualitySelfCert {
        
        protected global::System.Web.UI.WebControls.Label Label5;
        
        protected global::System.Web.UI.WebControls.Label Label1;
        
        protected global::System.Web.UI.WebControls.Label lblBU;
        
        protected global::System.Web.UI.WebControls.Label Label3;
        
        protected global::System.Web.UI.WebControls.DropDownList ddlProjectCode;
        
        protected global::System.Web.UI.WebControls.Label lblProject;
        
        protected global::System.Web.UI.WebControls.Label Label21;
        
        protected global::System.Web.UI.WebControls.Label lblrepmonth;
        
        protected global::System.Web.UI.WebControls.Label Label23;
        
        protected global::System.Web.UI.WebControls.Label lblrepweek;
        
        protected global::System.Web.UI.WebControls.Label Label22;
        
        protected global::System.Web.UI.WebControls.CheckBox chkcomp1;
        
        protected global::System.Web.UI.WebControls.CheckBox chkcomp2;
        
        protected global::System.Web.UI.WebControls.CheckBox chkcomp3;
        
        protected global::System.Web.UI.WebControls.CheckBox chkCertify;
        
        protected global::System.Web.UI.WebControls.Button btnsubmit;
        
        protected global::System.Web.UI.WebControls.Label lblProjectCode;
        
        protected global::System.Web.UI.WebControls.Label lblNotification;
        
        protected global::System.Web.UI.WebControls.Label lblID;
        
        protected global::System.Web.UI.WebControls.Label lblError;
        
        public static implicit operator global::System.Web.UI.TemplateControl(QualitySelfCert target) 
        {
            return target == null ? null : target.TemplateControl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel5() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label5 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label5";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "Quality Self Certification";
            @__ctrl.Font.Size = global::System.Web.UI.WebControls.FontUnit.XLarge;
            @__ctrl.Font.Bold = true;
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel1() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label1 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label1";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "BU";
            @__ctrl.CssClass = "auto-style3";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblBU() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblBU = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblBU";
            @__ctrl.CssClass = "auto-style3";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel3() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label3 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label3";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "Project";
            @__ctrl.CssClass = "auto-style3";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.DropDownList @__BuildControlddlProjectCode() {
            global::System.Web.UI.WebControls.DropDownList @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.DropDownList();
            this.ddlProjectCode = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "ddlProjectCode";
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(100D, global::System.Web.UI.WebControls.UnitType.Percentage);
            @__ctrl.AutoPostBack = true;
            @__ctrl.SelectedIndexChanged -= new System.EventHandler(this.ddlProjectCode_SelectedIndexChanged);
            @__ctrl.SelectedIndexChanged += new System.EventHandler(this.ddlProjectCode_SelectedIndexChanged);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblProject() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblProject = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblProject";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel21() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label21 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label21";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "Reporting Month";
            @__ctrl.CssClass = "auto-style3";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblrepmonth() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblrepmonth = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblrepmonth";
            @__ctrl.CssClass = "auto-style3";
            @__ctrl.Text = "";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel23() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label23 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label23";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "Reporting Week";
            @__ctrl.CssClass = "auto-style3";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblrepweek() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblrepweek = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblrepweek";
            @__ctrl.Text = "";
            @__ctrl.CssClass = "auto-style3";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel22() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label22 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label22";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "Compliance To";
            @__ctrl.CssClass = "auto-style3";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.CheckBox @__BuildControlchkcomp1() {
            global::System.Web.UI.WebControls.CheckBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.CheckBox();
            this.chkcomp1 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "chkcomp1";
            @__ctrl.Text = "Compliance to approved FQP for the activities carried out from the last reporting" +
                " cycle";
            @__ctrl.ValidationGroup = "Compliance";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.CheckBox @__BuildControlchkcomp2() {
            global::System.Web.UI.WebControls.CheckBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.CheckBox();
            this.chkcomp2 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "chkcomp2";
            @__ctrl.Text = "Quality Awareness / Pep talks with respect to the above activities are given";
            @__ctrl.ValidationGroup = "Compliance";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.CheckBox @__BuildControlchkcomp3() {
            global::System.Web.UI.WebControls.CheckBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.CheckBox();
            this.chkcomp3 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "chkcomp3";
            @__ctrl.Text = "Compliance to RFI for the activities carried out from last reporting cycle";
            @__ctrl.ValidationGroup = "Compliance";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.CheckBox @__BuildControlchkCertify() {
            global::System.Web.UI.WebControls.CheckBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.CheckBox();
            this.chkCertify = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "chkCertify";
            @__ctrl.Text = "As the process owner, I take full accountability for the above furnished details " +
                "& am self-certifying for the reporting period";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Button @__BuildControlbtnsubmit() {
            global::System.Web.UI.WebControls.Button @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Button();
            this.btnsubmit = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "btnsubmit";
            @__ctrl.Text = "Submit";
            @__ctrl.Font.Size = global::System.Web.UI.WebControls.FontUnit.Medium;
            @__ctrl.Click -= new System.EventHandler(this.btnsubmit_Click);
            @__ctrl.Click += new System.EventHandler(this.btnsubmit_Click);
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblProjectCode() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblProjectCode = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblProjectCode";
            @__ctrl.Visible = false;
            @__ctrl.CssClass = "auto-style3";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblNotification() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblNotification = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblNotification";
            @__ctrl.Font.Bold = true;
            @__ctrl.ForeColor = global::System.Drawing.Color.Blue;
            @__ctrl.Font.Size = global::System.Web.UI.WebControls.FontUnit.Medium;
            @__ctrl.CssClass = "auto-style2";
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblID() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblID = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblID";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblError() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblError = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblError";
            @__ctrl.ForeColor = global::System.Drawing.Color.Red;
            return @__ctrl;
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControlTree(global::SafetySelfCertification.QualitySelfCert.QualitySelfCert @__ctrl) {
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl(@"

<style type=""text/css"">
    .table {
        padding: 0;
        border-spacing: 0;
        text-align: center;
        font-family: 'Trebuchet MS';
        font-size: 10pt;
        vertical-align: middle;
        border-collapse: collapse;
    }

    .required {
        color: Red;
    }
</style>

<table border=""1"" cellpadding=""1"" cellspacing=""1"" width=""100%"">
    <tr>
        <td colspan=""2"" style=""background-color: #507CD1; width: 20%; text-align: center; height: 30px; padding-left: 10px;"">
            <br />
            "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControlLabel5();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl(@"
            <br />
            <br />
        </td>
    </tr>
    <tr>
        <td colspan=""2"" align=""left"">
            <font color=""#000000"" cssclass=""auto-style3"" face=""Trebuchet MS"">
            <br />
            Note:<br />
            # Note that all the fields are mandatory<br />
            # Select the points that you \ your site comply with<br />
            # Select the final declaration in order to submit the form<br />
           </font>
        </td>
    </tr>

    <tr>
        <td style=""background-color: #507CD1; text-align: left; padding-left: 10px;"" class=""auto-style1"">
            "));
            global::System.Web.UI.WebControls.Label @__ctrl2;
            @__ctrl2 = this.@__BuildControlLabel1();
            @__parser.AddParsedSubObject(@__ctrl2);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        </td>\r\n        <td style=\"background-color: #fff; padding-left: 10px; t" +
                        "ext-align: left;\" class=\"auto-style2\">\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl3;
            @__ctrl3 = this.@__BuildControllblBU();
            @__parser.AddParsedSubObject(@__ctrl3);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        </td>\r\n    </tr>\r\n    <tr>\r\n        <td style=\"background-color: #507CD" +
                        "1; width: 30%; text-align: left; height: 30px; padding-left: 10px;\">\r\n          " +
                        "  "));
            global::System.Web.UI.WebControls.Label @__ctrl4;
            @__ctrl4 = this.@__BuildControlLabel3();
            @__parser.AddParsedSubObject(@__ctrl4);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        </td>\r\n        <td style=\"background-color: #fff; padding-left: 10px; w" +
                        "idth: 60%; text-align: left; height: 30px;\">\r\n            "));
            global::System.Web.UI.WebControls.DropDownList @__ctrl5;
            @__ctrl5 = this.@__BuildControlddlProjectCode();
            @__parser.AddParsedSubObject(@__ctrl5);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl6;
            @__ctrl6 = this.@__BuildControllblProject();
            @__parser.AddParsedSubObject(@__ctrl6);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("</td>\r\n            \r\n            </td>\r\n    </tr>\r\n    <tr>\r\n        <td style=\"b" +
                        "ackground-color: #507CD1; text-align: left; padding-left: 10px;\" class=\"auto-sty" +
                        "le1\">\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl7;
            @__ctrl7 = this.@__BuildControlLabel21();
            @__parser.AddParsedSubObject(@__ctrl7);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        </td>\r\n        <td style=\"background-color: #fff; padding-left: 10px; t" +
                        "ext-align: left;\" class=\"auto-style2\">\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl8;
            @__ctrl8 = this.@__BuildControllblrepmonth();
            @__parser.AddParsedSubObject(@__ctrl8);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        </td>\r\n    </tr>\r\n    <tr>\r\n        <td style=\"background-color: #507CD" +
                        "1; width: 30%; text-align: left; height: 30px; padding-left: 10px;\">\r\n          " +
                        "  "));
            global::System.Web.UI.WebControls.Label @__ctrl9;
            @__ctrl9 = this.@__BuildControlLabel23();
            @__parser.AddParsedSubObject(@__ctrl9);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        </td>\r\n        <td style=\"background-color: #fff; padding-left: 10px; w" +
                        "idth: 60%; text-align: left; height: 30px;\">\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl10;
            @__ctrl10 = this.@__BuildControllblrepweek();
            @__parser.AddParsedSubObject(@__ctrl10);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        </td>\r\n    </tr>\r\n    <tr>\r\n        <td style=\"background-color: #507CD" +
                        "1; text-align: left; padding-left: 10px;\" class=\"auto-style1\">\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl11;
            @__ctrl11 = this.@__BuildControlLabel22();
            @__parser.AddParsedSubObject(@__ctrl11);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        </td>\r\n        <td>\r\n\r\n            "));
            global::System.Web.UI.WebControls.CheckBox @__ctrl12;
            @__ctrl12 = this.@__BuildControlchkcomp1();
            @__parser.AddParsedSubObject(@__ctrl12);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            <br />\r\n            "));
            global::System.Web.UI.WebControls.CheckBox @__ctrl13;
            @__ctrl13 = this.@__BuildControlchkcomp2();
            @__parser.AddParsedSubObject(@__ctrl13);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            <br />\r\n            "));
            global::System.Web.UI.WebControls.CheckBox @__ctrl14;
            @__ctrl14 = this.@__BuildControlchkcomp3();
            @__parser.AddParsedSubObject(@__ctrl14);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n\r\n        </td>\r\n    </tr>\r\n    <tr>\r\n        <td colspan=\"2\"></td>\r\n    </tr>\r" +
                        "\n    <tr>\r\n        <td colspan=\"2\" align=\"Center\">\r\n            "));
            global::System.Web.UI.WebControls.CheckBox @__ctrl15;
            @__ctrl15 = this.@__BuildControlchkCertify();
            @__parser.AddParsedSubObject(@__ctrl15);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        </td>\r\n    </tr>\r\n    <tr>\r\n        <td colspan=\"2\" align=\"Center\">\r\n  " +
                        "          "));
            global::System.Web.UI.WebControls.Button @__ctrl16;
            @__ctrl16 = this.@__BuildControlbtnsubmit();
            @__parser.AddParsedSubObject(@__ctrl16);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n    </tr>\r\n</table>\r\n<p>\r\n    &nbsp;\r\n</p>\r\n\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl17;
            @__ctrl17 = this.@__BuildControllblProjectCode();
            @__parser.AddParsedSubObject(@__ctrl17);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl18;
            @__ctrl18 = this.@__BuildControllblNotification();
            @__parser.AddParsedSubObject(@__ctrl18);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl19;
            @__ctrl19 = this.@__BuildControllblID();
            @__parser.AddParsedSubObject(@__ctrl19);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl20;
            @__ctrl20 = this.@__BuildControllblError();
            @__parser.AddParsedSubObject(@__ctrl20);
        }
        
        private void InitializeControl() {
            this.@__BuildControlTree(this);
            this.Load += new global::System.EventHandler(this.Page_Load);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        protected virtual object Eval(string expression) {
            return global::System.Web.UI.DataBinder.Eval(this.Page.GetDataItem(), expression);
        }
        
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        protected virtual string Eval(string expression, string format) {
            return global::System.Web.UI.DataBinder.Eval(this.Page.GetDataItem(), expression, format);
        }
    }
}
